View Issue Details

IDProjectCategoryLast Update
0016727Stars Beyond Reach[All Projects] Bug - GameplayAug 4, 2015 3:32 pm
Reporterzebeast45Assigned Tokeith.lamothe 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.820 (Flying Saucers) 
Fixed in Version 
Summary0016727: Wiping out Krolin bug
DescriptionIn this savegame you can see that the kroling have no more surface buildings {neither do I but that is besides the point}, the bug is that it has not declared that the krolin are dead. Now this issue gets a little more complicated, the krolin probably have underground buildings that I cant see, but then why arent the Neinzul and the saucers attacking them. Then when you check the international incidents page it is supposed to say who the aggresor is on one of the international incidents but it does not. The reason I was mentioning that in the same mantis ticket is because I think it has to do with the krolin issue.
TagsNo tags attached.

Relationships

related to 0016976 resolvedkeith.lamothe Evucks don't surrender 

Activities

x4000Bughunter

May 26, 2015 3:58 pm

administrator   ~0041246

Oops! Missing a savegame here.

zebeast45

May 29, 2015 11:43 am

reporter   ~0041390

Sorry about that, alright so after rechecking the savegame the reason why no one is attacking the krolin was because no one was at war with them. But the bug where there is an international incident without an aggresor is still there so here is the savefile.

zebeast45

May 29, 2015 11:43 am

reporter  

Skylaxians Science Rush.save (373,293 bytes)

keith.lamothe

Aug 4, 2015 3:32 pm

administrator   ~0042728

Checked the save, but it's after the player has lost, so it can't advance the turn, and "is this race dead now?" checks happen during interturn. If you have a save from before you lost, but after the last krolin surface building died, then I can check that. Thanks :)

Issue History

Date Modified Username Field Change
May 15, 2015 6:21 pm zebeast45 New Issue
May 26, 2015 3:58 pm x4000Bughunter Note Added: 0041246
May 26, 2015 3:58 pm x4000Bughunter Assigned To => x4000Bughunter
May 26, 2015 3:58 pm x4000Bughunter Status new => feedback
May 29, 2015 11:43 am zebeast45 Note Added: 0041390
May 29, 2015 11:43 am zebeast45 Status feedback => assigned
May 29, 2015 11:43 am zebeast45 File Added: Skylaxians Science Rush.save
Jul 14, 2015 4:42 pm x4000Bughunter Assigned To x4000Bughunter => keith.lamothe
Jul 14, 2015 4:45 pm x4000Bughunter Relationship added related to 0016976
Aug 4, 2015 3:32 pm keith.lamothe Note Added: 0042728
Aug 4, 2015 3:32 pm keith.lamothe Status assigned => resolved
Aug 4, 2015 3:32 pm keith.lamothe Resolution open => fixed